<?php
session_start(); 
include_once("../scripts/connect.php");
               include("../scripts/session.php");
//Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/
    header("Location: ../login.php?err=NoSesion");
    }/*no hay sesion*/

    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }
    //fin validar session

  $conexion=conecta_default();
	
	
	@$id_cd=$_POST['listacd'];
 $q1 = "SELECT idusuarios_ci, nombre FROM usuarios_ci";

	   $consultada1 = mysqli_query($conexion, $q1) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));  
echo"<form name=\"Agrega\" action=\"existencias.php\" method=\"post\"><br><br><center>
<label style='color:#5C3C12; font-size:28px; font-weight:bold'>Existencias en Stock</label><br><br>
Selecciona un centro: <select name = \"listacd\"><option value=\"0\">Todos</option>";

							while ($datos = mysqli_fetch_array($consultada1))
							{echo "<option value=\"".$datos[0]."\">".$datos[0]." ".$datos[1]."</option>\n";}
							echo"</select></form><br><br><input type=\"submit\" name=\"generar\" id=\"aceptar\" value=\"Generar Compras\" />";







  if(isset($id_cd)){
	  
	  
	  if($id_cd==0){
		  $qPP = "select id_prod, nombreProd, sum(cantidad) as cantidad, precio, puntos from stock join productos on stock.idprod=productos.id_prod where idcd!=1 group by id_prod order by nombreProd";
	  }else{
$qPP = "select id_prod, nombreProd, cantidad, precio, puntos from stock join productos on stock.idprod=productos.id_prod where idcd='$id_cd' order by nombreProd";
	  }
$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));

if(mysqli_affected_rows($conexion))
{


echo "<center><br><br><b>Lista de Existencias de Producto CD: $id_cd</b><br><br><table border=\"1\">
<th>ID</th><th>Descripci&oacute;n</th><th>Precio</th><th>Puntos</th><th>Cantidad</th>";


while (($objetoPP=mysqli_fetch_object($rPP)) )

{

	echo "<tr>

	
			<td align=\"center\">$objetoPP->id_prod</td> <td align=\"center\">$objetoPP->nombreProd</td>
			<td align=\"center\">$ $objetoPP->precio</td><td align=\"center\">$objetoPP->puntos</td>
			<td align=\"center\" bgcolor=\"#e8d78d\">$objetoPP->cantidad</td>

		

		  </tr> 

		 ";

   

}

	echo"</table></center>";   }
	else{
	echo"<center><br><br><b>No cuentas con producto dado de alta en sistema</b><br>
	Ingresa a alta de productos para hacer las altas";	
	}
  }
?>

